# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name Crypto

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        4.2.5.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
# For a breakdown of the licensing, see ReadMe.tex
License:        BSD and GPL
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
#ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-compiler
BuildRequires:  ghc-HUnit-devel

Requires:       ghc

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# cleanup extra files
%{__rm} -f %{buildroot}%{_bindir}/HMACTest
%{__rm} -f %{buildroot}%{_bindir}/QuickTest
%{__rm} -f %{buildroot}%{_bindir}/RSATest
%{__rm} -f %{buildroot}%{_bindir}/SHA1Test
%{__rm} -f %{buildroot}%{_bindir}/SymmetricTest
%{__rm} -f %{buildroot}%{_bindir}/WordListTest
%{__rm} -f %{buildroot}/usr/share/%{pkg_name}-%{version}/CryptoHomePage.html


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files ReadMe.tex


%changelog
* Thu Feb  8 2013 Jun Futagawa <jfut@integ.jp> - 4.2.5.1-1
- Added BuildRequires: ghc-compiler
- Added BuildRequires: ghc-HUnit-devel
- Added Requires: ghc

* Wed Feb  6 2013 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.5
